basePath: /v1
host: localhost:8403
info:
  contact:
    email: support@blockdaemon.com
    name: Blockdaemon
    url: https://www.blockdaemon.com
  description: Monitor for Solana full history on Bigtable
  termsOfService: https://www.blockdaemon.com
  title: Solana Bigtable Checker
  version: "1.0"
paths:
  /available:
    get:
      consumes:
      - application/json
      description: Get the blockheight for all available missing
      produces:
      - application/json
      responses:
        "200":
          description: List of available blocks
          schema:
            allOf:
            - type: object
            - properties:
                data:
                  items:
                    type: integer
                  type: array
              type: object
      summary: Get available blocks
      tags:
      - blocks
  /blocks:
    get:
      consumes:
      - application/json
      description: Get the blockheight for all missing
      produces:
      - application/json
      responses:
        "200":
          description: List of blocks and state
          schema:
            allOf:
            - type: object
            - properties:
                data:
                  items: {}
                  type: array
              type: object
      summary: Get all blocks
      tags:
      - blocks
  /missing:
    get:
      consumes:
      - application/json
      description: Get the blockheight for all blocks missing
      produces:
      - application/json
      responses:
        "200":
          description: List of missing blocks
          schema:
            allOf:
            - type: object
            - properties:
                data:
                  items:
                    type: integer
                  type: array
              type: object
      summary: Get missing blocks
      tags:
      - blocks
  /rescan:
    post:
      consumes:
      - application/json
      description: Scan the range for change block states, like missing blocks
      parameters:
      - description: int valid
        in: query
        minimum: 1
        name: from
        type: integer
      - description: int valid
        in: query
        minimum: 1
        name: till
        type: integer
      produces:
      - application/json
      responses:
        "201":
          description: Created
          schema:
            type: Scan
      summary: (Re-)scan slot range for missing blocks
      tags:
      - blocks
  /unknown:
    get:
      consumes:
      - application/json
      description: Get the blockheight for all unknown missing
      produces:
      - application/json
      responses:
        "200":
          description: List of unknown blocks
          schema:
            allOf:
            - type: object
            - properties:
                data:
                  items:
                    type: integer
                  type: array
              type: object
      summary: Get unknown blocks
      tags:
      - blocks
schemes:
- http
swagger: "2.0"
